From fe529983bacebad3a92bc55719ffee215cac289d Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Wed, 1 Apr 2020 14:33:28 +0800
Subject: [PATCH 26/77] virsh_attach_device: remove control characters such as
 '^@' from the result of session.cmd_output

The result of session.cmd_output may contain control characters such as
'^@', should remove them before comparison. Otherwise, it will not match
correctly.

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 libvirt/tests/src/virsh_cmd/domain/virsh_attach_device.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_attach_device.py b/libvirt/tests/src/virsh_cmd/domain/virsh_attach_device.py
index fe43c43f..921b210a 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_attach_device.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_attach_device.py
@@ -2,6 +2,7 @@
 Module to exercize virsh attach-device command with various devices/options
 """
 
+import re
 import os
 import os.path
 import logging
@@ -697,7 +698,7 @@ class VirtualDiskBasic(AttachDeviceBase):
             logging.debug("VirtualDiskBasic functional test raised an exception")
             return False
         else:
-            gotit = [data for data in self.test_data_list if output.strip('\n') in data]
+            gotit = [data for data in self.test_data_list if re.sub(r'[\x00-\x1f]', '', output) in data]
             logging.info("Test data detected in device: %s",
                          gotit)
             if not gotit:
-- 
2.23.0

